View Issue Details

IDProjectCategoryView StatusLast Update
0019918phpList 3 applicationCampaign Send Processpublic24-05-19 09:27
Reporterveltsu 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version3.4.0 
Target Version3.4.3Fixed in Version 
Summary0019918: Missing jquery-1.7.1.min.js
DescriptionI noticed the following error_log lines in my phpList 3.4.0 installation:

http 404: /<my_lists>/admin/js/jquery-1.7.1.min.js

The line was repeated in 624 times within a few second intervals, during the processing the queue, I guess.

I searched the string 'jquery-1.7.1.min.js' and found it in /<my_lists>/(admin/init.php line 642:

$GLOBALS['jQuery'] = 'jquery-1.7.1.min.js';

The '$GLOBALS['jQuery']' is used in /<my_lists>/admin/actions/processqueue.php line 237:

echo '<script type="text/javascript" src="js/'.$GLOBALS['jQuery'].'"></script>';

This has not changed in 3.4.1. The latest version having the missing 'jquery-1.7.1.min.js' is 3.3.7.

The sending of the campaign was successfull despite of the missing 'jquery-1.7.1.min.js'.

TagsNo tags attached.

Activities

suela

22-05-19 16:21

administrator   ~0062233

@xheni can you please check this?

xheni

22-05-19 17:05

administrator   ~0062235

@suela Yes, I can confirm this. There is a $GLOBALS['jQuery'] that needs to be updated.

xheni

22-05-19 17:17

administrator   ~0062236

I set the target version to 3.4.3 and submitted a PR: https://github.com/phpList/phplist3/pull/539